Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235576 - Software Manager / RPM / YUM .... dont open no more
Summary: Software Manager / RPM / YUM .... dont open no more
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: firmware-addon-dell
Version: 6
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael E Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-07 14:15 UTC by Abdul Mason
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-28 00:33:05 UTC


Attachments (Terms of Use)

Description Abdul Mason 2007-04-07 14:15:53 UTC
Description of problem:

After Updating everything .... after new install FC6..... i cant install rpm.s
anymore.... cant yum arround or cant go in pirut

  
Actual results:

Component: Software Manager
Summary: TB409b1f14 biosHdr.py:27:cmdFactory_getSystemId:PermissionDenied:
Failed to get System ID: Libsmbios:    0.13.5
Error getting the System ID   : 
Service Tag:  To Be Filled By O.E.M.
Express Service Code: 1068
Product Name: To Be Filled By O.E.M.
BIOS Version: 1017.002
Vendor:       To Be Filled By O.E.M.
Is Dell:      0

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 453, in ?
    main()
  File "/usr/sbin/pirut", line 446, in main
    pm = PackageManager(options.config)
  File "/usr/sbin/pirut", line 60, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 124, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 141, in
doConfigSetup
    self.plugins.run('init')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 153, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/dellsysidplugin.py", line 26, in init_hook
    sysid = getSystemId()
  File "/usr/lib/python2.4/site-packages/biosHdr.py", line 34, in getSystemId
    output = cmdFactory_getSystemId()
  File "/usr/lib/python2.4/site-packages/biosHdr.py", line 27, in
cmdFactory_getSystemId
    raise PermissionDenied("Failed to get System ID: %s" % output)
PermissionDenied: Failed to get System ID: Libsmbios:    0.13.5
Error getting the System ID   : 
Service Tag:  To Be Filled By O.E.M.
Express Service Code: 1068
Product Name: To Be Filled By O.E.M.
BIOS Version: 1017.002
Vendor:       To Be Filled By O.E.M.
Is Dell:      0

Local variables in innermost frame:
status: 256
output: Libsmbios:    0.13.5
Error getting the System ID   : 
Service Tag:  To Be Filled By O.E.M.
Express Service Code: 1068
Product Name: To Be Filled By O.E.M.
BIOS Version: 1017.002
Vendor:       To Be Filled By O.E.M.
Is Dell:      0

Comment 1 Tim Lauridsen 2007-04-09 17:22:12 UTC
This error is called by a plugin called dellsysidplugin.py.
you can disable it by setting enabled=0 in
/etc/yum/pluginconf.d/dellsysidplugin.conf.


Comment 2 Abdul Mason 2007-04-10 22:51:15 UTC
thanks alot works perfectly !

Comment 3 Michael E Brown 2007-04-11 15:06:50 UTC
Please upgrade firmware-addon-dell. Fixed in the currently published release.


Note You need to log in before you can comment on or make changes to this bug.